Summary:       A thesaurus library
Name:          mythes
Version:       1.2.5
Release:       5%{?dist}
License:       BSD and MIT
URL:           https://github.com/hunspell/mythes
Source0:       https://github.com/hunspell/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires: make gcc-c++
BuildRequires: hunspell-devel

%description
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.

%package devel
Summary: Files for developing with mythes
Requires: mythes = %{version}-%{release} pkgconfig

%description devel
Includes and definitions for developing with mythes

%prep
%autosetup

%build
%configure --disable-rpath --disable-static
%make_build

%check
make check
./example th_en_US_new.idx th_en_US_new.dat checkme.lst
./example morph.idx morph.dat morph.lst morph.aff morph.dic

%install
rm -rf %{buildroot}
%make_install
rm -f %{buildroot}/%{_libdir}/*.a
rm -f %{buildroot}/%{_libdir}/*.la
mkdir -p %{buildroot}/%{_datadir}/mythes


%files
%license COPYING
%doc README AUTHORS
%{_libdir}/*.so.*
%{_datadir}/mythes

%files devel
%doc data_layout.txt
%{_includedir}/mythes.hxx
%{_libdir}/*.so
%{_libdir}/pkgconfig/mythes.pc
%{_bindir}/th_gen_idx.pl

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Miaojun Dong <zoedong@tencent.com> - 1.2.5-1
- initial build
